Bug 828182 - Automembership plugin fails to create member attribute when entries moved from non-automemscope to automemscope.
Automembership plugin fails to create member attribute when entries moved fro...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 08:31 EDT by Sankar Ramalingam
Modified: 2012-08-06 16:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 16:41:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sankar Ramalingam 2012-06-04 08:31:38 EDT
Description of problem: 
Automembership plugin fails to create member attribute to the accosicated groups when entries moved from Non-automemscope to automemscope. This happens when the complete OU is moved from outside scope to automemscope or only the user entries moved from ouside scope to automemscope.


Version-Release number of selected component (if applicable): RHEL63.


How reproducible: Consistently.


Steps to Reproduce:
1. Install 389-ds-base 1.2.10.2 or the latest.
2. Configure automembership plugin. Refer the test plan - https://svn.devel.redhat.com/repos/DStetframework/trunk/testcases/DS/6.0/testplans/autoMembers/AutoMembersTestPlan.html
or the design doc - http://directory.fedoraproject.org/wiki/Auto_Membership_Design
3. Configure automembership plugin with automemscope set to "ou=automemscope,dc=auto,dc=com" and don't create "ou=automemscope" subtree.
Create few entries in "ou=nomemscope,dc=auto,dc=com" and then run modrdn operation to change the subtree "ou=nomemscope" to "ou=automemscope".
- Check whether member attribute created in the groups.
Result: No member attribute created in the groups defined in the plugin.
http://wiki.idm.lab.bos.redhat.com/qa/archive/ds/90/stress_ds90/output/Linux/20120531-091306/autoMembers/autoMembersStress.run.out.5883


Actual results: Group's associated member attributes not created for the users.


Expected results: Member attribute should get created when entries moved from outside scope to automemscope.


Additional info: It fails even when the user entries moved from outside scope to automemscope.

Configure automembership plugin with automemscope set to "ou=automemscope,dc=auto,dc=com". Create subtree "ou=automemscope".
Create few entries in "ou=nomemscope,dc=auto,dc=com" and then run modrdn operation to change the user RDN value with new superior as "ou=automemscope".
- Check whether member attribute created in the groups.
Result: No member attribute created in the groups defined in the plugin.

http://wiki.idm.lab.bos.redhat.com/qa/archive/ds/90/stress_ds90/output/Linux/20120601-002915/autoMembers/autoMembersStress.run.out.4488
Comment 1 Rich Megginson 2012-07-31 13:55:08 EDT
Upstream ticket:
https://fedorahosted.org/389/ticket/421
Comment 2 Nathan Kinder 2012-08-06 16:41:55 EDT
This case is already covered by the automember tasks that were recently added.  Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.